<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.logging.logging-profile.json-formatter.key-overrides">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="exception,exception-caused-by,exception-circular-reference,exception-frame,exception-frame-class,exception-frame-line,exception-frame-method,exception-frames,exception-message,exception-reference-id,exception-suppressed,exception-type,host-name,level,logger-class-name,logger-name,mdc,message,ndc,process-id,process-name,record,sequence,source-class-name,source-file-name,source-line-number,source-method-name,source-module-name,source-module-version,stack-trace,thread-id,thread-name,timestamp"/>
        <elem name="complex-attribute" value="key-overrides"/>
        <elem name="addr-params" value="profile,subsystem,logging-profile,json-formatter"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <refs>
        <ref feature="subsystem.logging.logging-profile.json-formatter"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="exception" nillable="true"/>
        <param name="logger-class-name" nillable="true"/>
        <param name="json-formatter" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="exception-circular-reference" nillable="true"/>
        <param name="logging-profile" feature-id="true"/>
        <param name="exception-caused-by" nillable="true"/>
        <param name="source-class-name" nillable="true"/>
        <param name="process-id" nillable="true"/>
        <param name="exception-suppressed" nillable="true"/>
        <param name="exception-message" nillable="true"/>
        <param name="record" nillable="true"/>
        <param name="exception-frames" nillable="true"/>
        <param name="source-module-version" nillable="true"/>
        <param name="exception-frame-line" nillable="true"/>
        <param name="source-module-name" nillable="true"/>
        <param name="thread-id" nillable="true"/>
        <param name="timestamp" nillable="true"/>
        <param name="stack-trace" nillable="true"/>
        <param name="process-name" nillable="true"/>
        <param name="level" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="logger-name" nillable="true"/>
        <param name="exception-type" nillable="true"/>
        <param name="host-name" nillable="true"/>
        <param name="message" nillable="true"/>
        <param name="ndc" nillable="true"/>
        <param name="mdc" nillable="true"/>
        <param name="sequence" nillable="true"/>
        <param name="exception-frame" nillable="true"/>
        <param name="source-file-name" nillable="true"/>
        <param name="exception-frame-method" nillable="true"/>
        <param name="source-method-name" nillable="true"/>
        <param name="source-line-number" nillable="true"/>
        <param name="thread-name" nillable="true"/>
        <param name="exception-frame-class" nillable="true"/>
        <param name="exception-reference-id" nillable="true"/>
    </params>
</feature-spec>